package com.sf.vertx;


import com.sf.vertx.init.GatewayConfigVerticle;
import com.sf.vertx.init.GatewayRPCVerticle;
import io.vertx.core.Vertx;

/**
 * 启动程序
 * 
 * @author ztzh
 */
public class VertxStart {

	public static void main(String[] args) {
		System.setProperty("vertx.logger-delegate-factory-class-name","io.vertx.core.logging.Log4j2LogDelegateFactory");
		Vertx vertx = Vertx.vertx();
		vertx.deployVerticle(GatewayConfigVerticle.class.getName());
		vertx.deployVerticle(GatewayRPCVerticle.class.getName());
	}
}
