package com.sf.vertx.init;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import io.vertx.core.json.JsonObject;
import lombok.Data;

import java.util.Map;


/**
 * Redis配置
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class VertxProperties {
    private int deploymentMode = 1;
    private boolean isSSL = false;
    private int rpcPort = 80;
    private String rpcUri;
    private String sacResponseHeaderKey;
    private String environment;
    private int configPort = 5566;
    private Map<String,Object> cluster;
    private String[] blackIP;// 黑名单

}
